Paquetes-old

De WikiSalud
Saltar a: navegación, buscar

Antes de empezar, asegurarse que se tienen el sources.list actualizado para Debian 7 "Wheezy" o Debian 6 "Squeeze". Para este caso, se asume que se está utilizado una laptop o máquina de escritorio y que, por tanto, se están utilizando los repositorios de backports.

Nota: Todas las órdenes han de ser ejecutadas como usuario root.

Contenido

Debian 7 "Wheezy"

  • Abrir una terminal y convertirse en usuario root.
  • Ejecutar
    aptitude update
  • Seguramente, se desea tener instalada la última versión de Libreoffice. Ejecutar
    aptitude install -t wheezy-backports libreoffice libreoffice-kde libreoffice-l10n-es libreoffice-help-es
Al momento de escribir este artículo y con los paquetes disponibles en el repositorio aparece un conflicto con las versiones de los paquetes, lo cual es normal. Por lo que aptitude intenta resolver dichos conflictos y muestra una solución como la siguiente:
Propuesta de solución al conflicto de paquetes.
Como se puede observar, la propuesta de solución al conflicto de paquetes es eliminar 3 paquetes y mantener 3. Sin embargo, no es lo que se desea. Por tanto, NO aceptar esta solución, presionar n y luego Enter. Ante esto, aptitude presenta otra propuesta de solución, como se muestra a continuación:
Solución que se acepta para resolver los conflictos de paquetes.
En este caso, SÍ se acepta propuesta de solución pues actualiza las versiones de dos paquetes, con lo que se satisfacen las dependencias. Finalmente, aparece un resumen de los paquetes a instalar, como se muestra en la siguiente captura de pantalla:
Paquetes a instalar de Libreoffice 4.

Debian 6 "Squeeze"

  • Abrir una terminal y convertirse en usuario root.
  • Ejecutar
    aptitude update
  • Seguramente, se desea tener instaladas las últimas versiones de Libreoffice y de Iceweasel (Mozilla Firefox, pero sin el nombre y el logo, pues estos no son libres). Ejecutar
    aptitude install -t squeeze-backports iceweasel iceweasel-l10n-es-es libreoffice libreoffice-l10n-es libreoffice-help-es
    La orden anterior eliminará algunos paquetes, lo cual está bien pues los sustituiremos con versiones más recientes.
  • Si existen actualizaciones adicionales, ejecutar la siguiente orden
    aptitude update && aptitude full-upgrade

Listado de paquetes útiles luego de haber instalado KDE

Para instalar todos los paquetes en una orden, escribir lo siguiente:

aptitude install -r kplayer vlc mencoder ffmpeg amarok w64codecs unzip kde-full kde-l10n-es \
unrar p7zip-full p7zip-rar okular okular-extra-backends ark vim libdvdcss2 flashplugin-nonfree \
bash-completion less locate libav-tools desktop-base openssh-server iceweasel iceweasel-l10n-es-es \
k3b icedove icedove-l10n-es-es cups system-config-printer
Nota: Si la máquina es de 32 bits, sustituir w64codecs por w32codecs.

Debian 7 "Wheezy"

Puede ser útil contar con Apper. Esta aplicación informa de las actualizaciones que estén disponibles y permite instalarlas de manera sencilla. Sólo hay que proporcionar la contraseña de root para ello.

aptitude install apper

Instalación manual de paquetes

Es posible que hayan paquetes que no estén en los repositorios de que se tengan en el archivo sources.list, por ejemplo, [Google Chrome]. Para instalarlo, hay que descargar el archivo .deb y como usuario root ejecutar desde el directorio donde se descargó:

  • dpkg -i google-chrome-stable_current_amd64.deb

O, si la máquina es de 32 bits

  • dpkg -i google-chrome-stable_current_i386.deb

Para este caso en particular, es necesario instalar una librería requerida por Google Chrome

  • aptitude install libcurl3
Herramientas personales
Espacios de nombres

Variantes
Acciones
Navegación
Herramientas